@import '~ngx-bar-rating/themes/br-fontawesome-o-theme';

// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
@import '~@angular/material/theming';
// Plus imports for other components in your app.

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
$custom-typography: mat-typography-config($font-family: '"Barlow", sans-serif');
@include mat-core($custom-typography);

// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
$test-primary: mat-palette($mat-indigo);
$test-accent: mat-palette($mat-blue, A200, A100, A400);

// The warn palette is optional (defaults to red).
$test-warn: mat-palette($mat-red);

// Create the theme object. A theme consists of configurations for individual
// theming systems such as "color" or "typography".
$test-theme: mat-light-theme((
  color: (
    primary: $test-primary,
    accent: $test-accent,
    warn: $test-warn,
  )
));

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include angular-material-theme($test-theme);

/* You can add global styles to this file, and also import other style files */

html, body { height: 100%; }
body {
  margin: 0;
  font-family: 'Barlow', sans-serif;
  color: rgba(0, 31, 61, 0.6);
  background-color: #e5e5e5;
}

.card {
  .br-fontawesome-o {
    padding-right: 17px;

    &.br {
      margin: 0;
    }

    .br-unit {
      font-size: 13px;
      margin-right: 7px;

      &:last-child {
        margin-right: 0;
      }
    }

    .br-selected,
    .br-fraction,
    .br-active {
      &:after {
        color: rgba(220, 24, 0, 0.8);
      }
    }
  }
}
